This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 160860 - RFE: Add ability to launch external editors on resources based on Freedesktop.org mime actions specification
RFE: Add ability to launch external editors on resources based on Freedesktop...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-17 16:53 EDT by Dave Malcolm
Modified: 2013-03-01 03:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-01 03:57:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2005-06-17 16:53:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Freedesktop.org has a system for registering applications, mimetypes, and the mappings between them, so you can query to e.g. find all applications that can open PNG files.

The specification is here:
http://freedesktop.org/wiki/Standards_2fmime_2dactions_2dspec

(This is implemented by the GNOME VFS library, btw)

Version-Release number of selected component (if applicable):
eclipse-platform-3.1.0_fc-0.M7.7

How reproducible:
Always

Steps to Reproduce:
1.  Right-click on a resource of a type that isn't supported by Eclipse's File Associations mapping
2.  Look at "Open With..." context submenu

Actual Results:  Open With... submenu has options:
  Text Editor
  System Editor
  Default Editor

Expected Results:  Suggest that if the mimetype is known about by the freedesktop.org mime database and there are registered applications that can handled it, the Open With... menu  should have a separator, followed by all applications in the local  freedesktop.org application mapping for that mimetype.

So e.g. for a PNG file it would offer to:
  Open with "The GIMP"
  Open with "eog"
etc


Additional info:
Comment 1 Billy Biggs 2005-06-17 17:17:31 EDT
Eclipse honours the freedesktop.org MIME system using gnome-vfs via the SWT
Program API.

The "Open With... > System Editor" functionality is implemented using the SWT
Program API, which uses gnome_vfs_url_show() (same as gnome-open).  

This feature request must be done in two parts, first, the SWT Program API would
need to be extended to support some way of returning multiple results for a file
type or filename.  I have opened this feature request:

  https://bugs.eclipse.org/bugs/show_bug.cgi?id=100676

Once this is done, the Eclipse UI would need to be changed to add more options
to their Open With context menus in the appropriate places.
Comment 2 Dave Malcolm 2005-06-17 17:48:53 EDT
The UI would be greatly improved as well if rather than saying "System Editor"
it actually said what it was going to do, e.g. System Editor: The GIMP" (and
then had the other options listed after a separator).

(Icons for the different applications would be nice too!)
Comment 3 Billy Biggs 2005-06-17 18:01:02 EDT
While that sounds like an easy change, it would mean we couldn't use
gnome_vfs_url_show(), we'd have to first determine the MIME type of the file and
then get the application for that MIME type.  I like using gnome_vfs_url_show()
has the advantage that it is clean and consistent with gnome-open.

Regardless, we should really have this discussion in the Eclipse bugzilla, and
nothing can be done lightly as it will require researching what is available on
the other platforms first.
Comment 4 Andrew Overholt 2006-05-16 15:25:16 EDT
Should we close this as upstream or do we want to hack our packages to have this
functionality?
Comment 5 Fedora Admin XMLRPC Client 2010-08-31 11:58:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Alexander Kurtakov 2013-03-01 03:57:41 EST
I'm closing as upstream as no work is happening here for 8 years and the default case (use system editor) is already implemented for long time. For the rest there is bug upstream so things should be tracked there.

Note You need to log in before you can comment on or make changes to this bug.